com.google.gwt.user.client.rpc

## Class ServiceDefTarget.NoServiceEntryPointSpecifiedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.user.client.rpc.InvocationException
        - - com.google.gwt.user.client.rpc.ServiceDefTarget.NoServiceEntryPointSpecifiedException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  ServiceDefTarget

    public static class ServiceDefTarget.NoServiceEntryPointSpecifiedException
    extends InvocationException

This exception is thrown when a service is invoked without `ServiceDefTarget.setServiceEntryPoint(String)` having been called.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoServiceEntryPointSpecifiedException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoServiceEntryPointSpecifiedException

    public NoServiceEntryPointSpecifiedException()